List Tasks - AudioShake Developers
List All Tasks
cURL
curl --request GET \
--url 'https://api.audioshake.ai/tasks?take=10' \
--header 'x-api-key: <api-key>'
Python
import requests
url = "https://api.audioshake.ai/tasks?take=10"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.audioshake.ai/tasks?take=10', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Example
[
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"clientId": "<string>",
"cost": 123,
"assetId": "<string>",
"url": "<string>",
"metadata": "<string>",
"targets": [
{
"id": "<string>",
"model": "<string>",
"formats": [
"<string>"
],
"output": [
{
"name": "<string>",
"format": "<string>",
"link": "<string>"
}
],
"cost": 123,
"error": {
"code": 123,
"message": "<string>"
},
"duration": 123,
"residual": true,
"language": "<string>",
"transcriptUrl": "<string>",
"transcriptAssetId": "<string>"
}
]
}
]
Authorizations
x-api-key
- Type: string
- Location: header
- Required: Yes
Query Parameters
skip
- Type: number
- Default: 0
- Description: Number of records to skip for pagination (Range:
x >= 0)
take
- Type: number
- Default: 10
- Description: Maximum number of records to return per page (Range:
1 <= x <= 100)
Response
200 - application/json
- Describes the structure of the default response, including:
- id: Unique identifier of the Task
- createdAt: Timestamp of when the Task was created
- completedAt: Timestamp of when the Task was completed (nullable)
- clientId: Unique identifier of the client
- cost: Processing cost in credits
- assetId: Asset ID of an input media file (mutually exclusive with URL)
- url: URL of an input media file (mutually exclusive with assetId)
- metadata: Client-provided metadata
- targets: Array of processing targets and their current status.